#include "themisindexfile.h"

#include <QFile>
#include <stdio.h>
#include <QStringList>

ThemisIndexFile::ThemisIndexFile()
{

}

ThemisIndexFile::~ThemisIndexFile()
{

}

QList<themmisIndexLine> ThemisIndexFile::loadFile(const QString &file)
{
    QFile dataFile(file);
    dataFile.open(QIODevice::ReadOnly);
    QList<themmisIndexLine> lines;
    if(dataFile.isOpen())
    {
        QString line;
        QStringList cels;
        themmisIndexLine indexLine;
        line=dataFile.readLine();
        while(!dataFile.atEnd())
        {
            line=dataFile.readLine();
            cels= line.split(',');
            for(int i=0;i<8;i++)
            {
                indexLine.cels[i]="";
            }
            if(cels.count()<=8)
            {
                for(int i=0;i<cels.count();i++)
                {
                    indexLine.cels[i]=cels.at(i);
                }
                lines.append(indexLine);
            }
        }
    }
    return lines;
}

